unit ituAgilizaMain;

interface

uses
  ituInterfaceFactory, ituMain, ituMainPortal;

type
  itAgilizaMain = class(itMainPortal)
  protected
    function InitialLevel: integer; override;
  public
    procedure Initialize; override;
  end;

var
  gAgilizaMain: itAgilizaMain;

implementation

procedure itAgilizaMain.Initialize;
begin
  MainPortal := TMainPortal.Create(nil);
  gAgilizaMain := Self;
  inherited;
end;

function itAgilizaMain.InitialLevel: integer;
begin
  result := 0;
end;

initialization
  gInterfaceFactory.RegisterClass(ITCTLMAIN, itAgilizaMain);

finalization
  gInterfaceFactory.UnregisterClass(ITCTLMAIN);

end.
